Subject: Re: XTS cipher mode for cluster file encryption

From: Bruce Momjian <[email-masked]>
Date: Tue, 1 Feb 2022 13:27:03 -0500

On Tue, Feb  1, 2022 at 01:07:36PM -0500, Stephen Frost wrote:
>     Well, I sent an email a week ago asking if people want to advance this
>     feature forward, and so far you are the only person to reply, which I
>     think means there isn't enough interest in this feature to advance it.
> 
> This confuses me. Clearly there’s plenty of interest, but asking on hackers in
> a deep old sub thread isn’t a terribly good way to judge that.  Yet even when
> there is an active positive response, you argue that there isn’t enough.

Uh, I have been lead down the path of disinterest/confusion on this
feature enough that I am looking for positive feedback on every new step
so I don't get stuck out in front with insufficient support.  Yes, only
one person replying is enough for me to say there isn't interest.  I
guess I now have two.  My email was short and ended with a question so I
thought the people interested in the steps I suggested would give some
kind of feedback --- I certainly try to reply to all emails on this
topic.

> In general, I agree that the items you laid out are what the next steps are. 
> There are patches for some of those items already too and some of them, such as
> consolidating the temporary file access, are beneficial even without the
> potential to use them for encryption.  

Great.  I can update my patch for July consideration.

> Instead of again asking if people want this feature (many, many, many do), I’d
> encourage Antonin to start a new thread with the patch to do the temporary file
> access consolidation which then provides a buffered access and reduces the
> number of syscalls and work towards getting that committed, ideally as part of
> this release.

Yes, agreed.

-- 
  Bruce Momjian  <[email-masked]>        https://momjian.us
  EDB                                      https://enterprisedb.com

  If only the physical world exists, free will is an illusion.

---

From: Andres Freund <[email-masked]>
Date: Tue, 1 Feb 2022 10:36:45 -0800

Hi,

> kind of feedback --- I certainly try to reply to all emails on this

Personally I can't keep up with all threads on -hackers all the
time. Especially not long and at times very busy threads. So I agree with
Stephen that it's not saying much whether / not people react to an email deep
in a thread.

> > number of syscalls and work towards getting that committed, ideally as part of

I think it is quite unlikely that patches of that invasiveness can be merged
this release.

Greetings,

Andres Freund